Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Problema con aggiornamento e medibuntu su Mint 13
#1
salve, ho un problema negli aggiornamenti dovuto a medibunto, come già indicato qui
http://www.istitutomajorana.it/forum/Thr...o-software

con il seguente messaggio di errore iniziale:
Citazione:Impossibile inizializzare le informazioni del pacchetto
Si è verificato un problema irrisolvibile durante l'inizializzazione delle informazioni del pacchetto.
Segnalare questo bug per il pacchetto «update-manager» e includere il seguente messaggio d'errore:
Errore nell'aprire la cache.

'E:Encountered a section with no Package: header, ETongueroblem with MergeList /var/lib/apt/lists/packages.medibuntu.org_dists_precise_free_i18n_Translation-en, E:L'elenco dei pacchetti o il file di stato non può essere letto o aperto.'

Di solito questo significa che i pacchetti installati presentano delle dipendenze irrisolte.
ERROR###ERROR###ERROR###ERROR###ERROR###ERROR###ERROR


allora ho scaricato e installato lo script per togliere medibunto come indicato qui
http://www.istitutomajorana.it/index.php...&Itemid=33

ma il problema persisteva, se faccio

Codice:
sudo nautilus /etc/apt/sources.list.d/
non trovo file di medibuntu

allora ho rimosso i file da terminale con


Codice:
sudo rm /var/lib/apt/lists/packages.medibuntu.org_dists_precise_free_i18n_Translation-en

sudo rm /var/lib/apt/lists/packages.medibuntu.org_dists_precise_non-free_i18n_Translation-en

sudo rm /var/lib/apt/lists/packages.medibuntu.org_dists_precise_free_i18n_Translation-it

sudo rm /var/lib/apt/lists/packages.medibuntu.org_dists_precise_non-free_i18n_Translation-it

a questo punto riesco ad aprire il gestore pacchetti che mi dà ancora i seguenti pacchetti di medibuntu installati (li devo togliere? se sì meglio da qui o da terminale?)
[Immagine: http://s19.postimg.org/qbwu3kub7/image.png]

ho anche eseguito i comandi

Codice:
sudo rm /var/lib/apt/lists/* -vf

sudo rm /etc/apt/sources.list.d/medibuntu*

ma se ora faccio
sudo apt-get update
mi dà questo messaggio di errore
Citazione:Scaricamento di:14 http://packages.medibuntu.org precise Release [1076 B]
Ign http://packages.medibuntu.org precise Release
E: Errore GPG: http://packages.medibuntu.org precise Release: Le seguenti firme non erano valide: NODATA 1 NODATA 2
E: Impossibile impostare il blocco /var/lib/dpkg/lock - open (11: Risorsa temporaneamente non disponibile)
E: Impossibile acquisire il blocco sulla directory di amministrazione (/var/lib/dpkg/). Un altro processo potrebbe tenerla occupata.


inoltre, se provo ad aggiornare da gestore aggiornamenti adesso mi installa gli aggiornamenti, ma alla fine in alto compare scritto "le informazioni sui pacchetti sono state aggiornate 70 giorni fa", premere i pulsante "verifica". Se lo faccio mi dice
Citazione:Scaricamento delle informazioni del repository non riuscito
E:GPG error: http://packages.medibuntu.org precise Release: The following signatures were invalid: NODATA 1 NODATA 2

insomma, il problema sembra risolto a metà, cosa devo fare?
grazie.

 
Cita messaggio
#2
ciao disinstalla completamente da synaptic ( gestore pacchetti ): mediabuntu-keyring , quindi aggiorna.
Cita messaggio
#3
grazie della pronta risposta, l'ho fatto ma continua a darmi questo errore da terminale

Citazione:Scaricamento di:8 http://packages.medibuntu.org precise Release [1076 B]
Ign http://packages.medibuntu.org precise Release
E: Errore GPG: http://packages.medibuntu.org precise Release: Le seguenti firme non erano valide: NODATA 1 NODATA 2

mentre da gestore di pacchetti:

Citazione:Impossibile scaricare tutti gli indici dell'archivio

Il repository potrebbe non essere più disponibile o non più raggiungibile per problemi di rete. Se disponibile, verrà utilizzata una versione vecchia degli indici, altrimenti verrà ignorato. Controllare la connessione di rete e assicurarsi che l'indirizzo inserito nelle preferenze sia corretto.
Errore GPG: http://packages.medibuntu.org precise Release: Le seguenti firme non erano valide: NODATA 1 NODATA 2

E' come se da qualche parte ci fosse ancora l'indicazione di scaricare da quell'archivio non più esistente, giusto?
Cita messaggio
#4
Hai tolto la spunta dal repository in synaptic?
Giuseppe
Cita messaggio
#5
(18-12-2013, 16:40 )giuseppemos Ha scritto: Hai tolto la spunta dal repository in synaptic?
Giuseppe

ho questi tre repository selezionati, ma se tolgo la spunta da dove aggiorna poi?
http://s19.postimg.org/8adp5s0ab/Schermata.png
Cita messaggio
#6
Aggiorna da synaptic.
Giuseppe
Cita messaggio
#7
(18-12-2013, 17:24 )giuseppemos Ha scritto: Aggiorna da synaptic.
Giuseppe

anche togliendo la spunta dà il solito errore di cui sopra
NO DATA1 NO DATA2
Cita messaggio
#8
posta il risultato di:
ls -1 /etc/apt/sources.list.d/
se è lungo mettilo tra il tasto code
Cita messaggio
#9
(18-12-2013, 19:34 )dxgiusti Ha scritto: posta il risultato di:
ls -1 /etc/apt/sources.list.d/
se è lungo mettilo tra il tasto code

direi che è breve Smile

local-repository.list
local-repository.list.save
Cita messaggio
#10
visto il risultato, mi astengo dal dare consigli, credo che mint derivata da ubu, abbia un'architettura diversa.
magari se vuoi verificare, da terminale:
locate madiabuntu
vedrai dove ancora hai il mediabuntu da eliminare.
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)